Get decomposition tree visualization
curl --request GET \
--url https://api.mixpeek.com/v1/objects/{object_id}/decomposition-tree \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/objects/{object_id}/decomposition-tree"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/objects/{object_id}/decomposition-tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Lineage
Get decomposition tree visualization
Get a hierarchical tree structure showing all collections and documents derived from a root object. Shows the complete multi-stage processing pipeline.
GET
/
v1
/
objects
/
{object_id}
/
decomposition-tree
Get decomposition tree visualization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Root object ID to build decomposition tree for
Query Parameters
Include full list of document IDs (can be large)
Response
Successful Response
The response is of type Response Get Decomposition Tree V1 Objects Object Id Decomposition Tree Get · object.
Was this page helpful?
⌘I

